## org.gnu.glib
Interface Fireable

public interface Fireable

Defines the interface for a `fire` method, which is used by `Timer` to signal that its interval has elapsed.

See Also:
  `Timer`

Method Summary
`boolean` `fire()` A generic signal callback, which returns `true` if the subsystem that called it should continue firing (that is, continue invoking this callback).

Method Detail

### fire

    public boolean fire()

  A generic signal callback, which returns `true` if the subsystem that called it should continue firing (that is, continue invoking this callback).

  Returns:
    `true` if the caller should continue calling this method, or `false` if this should be the last invocation.